package com.example.notification.voice;

import java.util.Map;

import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.MapKeyColumn;
import javax.persistence.OneToMany;
import javax.persistence.Table;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Entity
@Table(name="voice_notifications")
@Data
@NoArgsConstructor
@AllArgsConstructor
public class VoiceNotificationEntry {
	
	@Id
	private String id;
	
	private String
		enterpriseId,
		companyId,
		phoneNumber;
	
	private int
		maxAttempts,
		attempts,
		minutesBetweenAttempts;
	
	@OneToMany
	@JoinColumn(name="voice_notification_id")
	@MapKeyColumn(name="attempt")
	private Map<Integer, PhoneCallEntry> phoneCalls;
	
	@Enumerated(EnumType.STRING)
	private VoiceNotificationStatus status;
}
